
    ' This is a turtle graphics demo
    WindowWidth = 600
    WindowHeight = 400
    open "This is a turtle graphics window!" for graphics_nsb_nf as #1
    print #1, "trapclose [quit]"

    print #1, "fill black ; home ; down ; north"

    for x = 1 to 100
        print #1, "turn 54 ; go "; str$(x*3)
        go$ = "turn 59 ; go "; str$(int(x/7))
        print #1, "color "; 55 + (x * 2); " 0 "; max(x-20,0)*2
        for y = 1 to 6
            print #1, go$
        next y
    next x

    print #1, "flush"

    wait

[quit]

    close #1
    end
